System.memclean()
fond = Image.load("ms0:/PSP/GAME/IvEr PSP/Images/mp3.png")
battery1 = Image.load("images/Copie de battery4.png")
battery2 = Image.load("images/Copie de battery3.png")
battery3 = Image.load("images/Copie de battery2.png")
battery4 = Image.load("images/Copie de battery1.png")

function Nil_Pictures()
fond = nil
battery1 = nil
battery2 = nil
battery3 = nil
battery4 = nil
end

System.currentDirectory("ms0:/")

-- Couleur

noir = Color.new(0,0,0)
rouge = Color.new(255,0,0) 
blanc = Color.new(255,255,255)

-- Tableau

fbrowser = { s = 1, fl = System.listDirectory("ms0:/MUSIC/"), ls = 1, sp = 25 } -- Tableau qui gère plusieur informations

fichiers = table.getn(fbrowser.fl)

oldpad = Controls.read()

-- Fonctions

function lecteur_mp3()

	for i = ((fbrowser.ls-1) * fbrowser.sp)+1, fbrowser.ls * fbrowser.sp do
		if fichiers >= i then -- Si fichiers est supérieur ou égal à ' i ' alors
			screen:print(80,((i-((fbrowser.ls-1) * fbrowser.sp)) * 12)+20, fbrowser.fl[i].name, rouge) -- On affiche les fichiers
			elseif fichiers < i  then -- Sinon si fichiers est inférieur a ' i '  
			break -- on retourne en arrière
		end 
	end
	
	screen:print(80,((fbrowser.s-((fbrowser.ls-1) * fbrowser.sp)) * 12)+20, fbrowser.fl[fbrowser.s].name, blanc)
	
	if pad:down() and not oldpad:down() then fbrowser.s = fbrowser.s +1 end -- Déplace le selecteur d'une position en avant (+1)
	if pad:up() and not oldpad:up() then fbrowser.s = fbrowser.s -1 end -- Déplace le selecteur d'une position en arrière (-1)
	
	if fbrowser.s > fichiers then fbrowser.s = fichiers elseif fbrowser.s < 1 then fbrowser.s = 1 end
	if fbrowser.s > fbrowser.s * fbrowser.s then fbrowser.s = fbrowser.s + 1
	elseif fbrowser.s < ((fbrowser.ls-1) * fbrowser.s)+1 then fbrowser.ls = fbrowser.ls - 1 fbrowser.s = (fbrowser.ls) * fbrowser.s end
	
	if pad:cross() and not oldpad:cross() then -- Si on appuie sur X alors...
		System.currentDirectory("ms0:/MUSIC")
		if string.lower(string.sub(fbrowser.fl[fbrowser.s].name, -4)) == ".mp3" or string.lower(string.sub(fbrowser.fl[fbrowser.s].name, -4)) == ".MP3" then
	
			screen:clear() -- Vide l'écran
			
			playing = 1
			
			screen:blit(0,0,fond)
			screen:print(80,40,fbrowser.fl[fbrowser.s].name,rouge)
			
			-- Lecture
			
			Mp3me.load(fbrowser.fl[fbrowser.s].name) -- Charge la fl prise avec l'explorateur
			Mp3me.play() -- La lance
			screen.flip()
			
			-- Boucle
			
			while playing == 1 do
				pad = Controls.read() -- Active la lecteur des touches de la PSP
			
				if pad:circle() and not oldpad:circle() then -- Si on appuie sur O
					System.currentDirectory("ms0:/PSP/GAME/IvEr PSP/Scripts/") -- On se place dans le dossier du ls
					dofile("mp3.lua") -- Passe au menu.lua
				elseif pad:cross() and not oldpad:cross() then -- Sinon si on appuie sur X
					Mp3me.pause() -- Met en paue la lecture da la fl
				elseif pad:start() and not oldpad:start() then -- Si on appuie sur start..
					Mp3me.stop() -- Arrete la fl
					System.currentDirectory("ms0:/PSP/GAME/IvEr PSP/Scripts/") -- On se place dans le dossier du ls
					dofile("menu.lua") -- Passe au menu.lua
				elseif pad:square() and not oldpad:square() then -- Si on appuie sur start..
					System.currentDirectory("ms0:/PSP/GAME/IvEr PSP/Scripts/") -- On se place dans le dossier du ls
					dofile("menu.lua") -- Passe au menu.lua
				elseif pad:triangle() and not oldpad:triangle() then -- Si on appuie sur triangle...
					Mp3me.stop() -- Arrete la fl
					System.currentDirectory("ms0:/PSP/GAME/IvEr PSP/Scripts/") -- On se place dans le dossier du ls
					dofile("mp3.lua") -- On reviens a la spe des fl
				end
			
				if pad:r() and not oldpad:r() then -- Si on appuie sur R
					if fbrowser.s < (fichiers + 1) then
						i = fbrowser.s + 1
						if i < (fichiers + 1) then
							if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
								fbrowser.s = fbrowser.s + 1
								Mp3me.stop()
								screen:clear()
								Mp3me.load(fbrowser.fl[fbrowser.s].name)
								Mp3me.play()
								System.memclean()
								
								screen:blit(0,0,fond)
								screen:print(80,40,fbrowser.fl[fbrowser.s].name,rouge)
								
								screen.flip()
							end
						end
					end
				end
				
				if pad:l() and not oldpad:l() then -- Si on appuie sur L
					if fbrowser.s < (fichiers + 1) and fbrowser.s > 2 then
						i = fbrowser.s - 1
						if i < (fichiers + 1) and i > 2 then
							if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
								Mp3me.stop()
								screen:clear()
								fbrowser.s = fbrowser.s - 1
								Mp3me.load(fbrowser.fl[fbrowser.s].name)
								Mp3me.play()
								System.memclean()

								screen:blit(0,0,fond)
								screen:print(80,40,fbrowser.fl[fbrowser.s].name,rouge)
								
								screen.flip()
							end
						end
					end
				end
			end

	
			if fbrowser.fl[fbrowser.s].directory then
				System.currentDirectory(fbrowser.fl[fbrowser.s].name)
				fbrowser.s = 1
				fbrowser.fl=System.spDirectory()
				fbrowser.nf=table.getn(fbrowser.fl)
				fbrowser.ls = 1
			end

			elseif pad:triangle() and not oldpad:triangle() then
			
			if System.currentDirectory ~= "ms0:/" then
				System.currentDirectory("./..")
				fbrowser.s = 1
				fbrowser.fl=System.listDirectory()
				fbrowser.nf=table.getn(fbrowser.fl)
				fbrowser.ls = 1
			end
		end
	end
end

	
	
-- Boucle principale

while true do
	screen:clear() -- Vide l'écran
	pad = Controls.read() -- Active la lecture des touches
	screen:blit(0,0,fond)
		--BATERIE>>>
if System.powerGetBatteryLifePercent() >= 0 then batteryL = battery1 end
if System.powerGetBatteryLifePercent() > 30 then batteryL = battery2 end
if System.powerGetBatteryLifePercent() > 50 then batteryL = battery3 end
if System.powerGetBatteryLifePercent() > 70 then batteryL = battery4 end
-------------
screen:blit(456,4,batteryL)
	
	lecteur_mp3()
	
if pad:square() then
Nil_Pictures()
dofile ("ms0:/PSP/GAME/IvEr PSP/Scripts/menu.lua")
end
	
	screen.waitVblankStart()
	screen.flip()
	oldpad = pad
end 